Skip to content

Update User

PUT
/user/{userId}
curl --request PUT \
--url https://api.exolink.cloud/user/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "givenName": "example", "familyName": "example", "email": "hello@example.com", "oldPassword": "example", "newPassword": "example", "mfa": true, "password": "example" }'

Update user profile information

userId
required
string

User ID

Media typeapplication/json
object
givenName

User’s first name

string
familyName

User’s last name

string
email

User’s email address

string format: email
oldPassword

Current password (required for password change)

string format: password
newPassword

New password

string format: password
mfa

Enable or disable multi-factor authentication

boolean
password

Password for MFA changes

string format: password
Examplegenerated
{
"givenName": "example",
"familyName": "example",
"email": "hello@example.com",
"oldPassword": "example",
"newPassword": "example",
"mfa": true,
"password": "example"
}

User updated successfully